> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vambe.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Open a new ticket for whatsapp



## OpenAPI

````yaml /openapi.json post /api/public/ticket/open/whatsapp/{phoneId}
openapi: 3.0.0
info:
  title: Vambe AI API
  description: Vambe AI documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.vambe.me
    description: Production Server
security: []
tags:
  - name: Vambe AI
    description: ''
paths:
  /api/public/ticket/open/whatsapp/{phoneId}:
    post:
      tags:
        - Ticket
      summary: Open a new ticket for whatsapp
      operationId: CreateTicketPublicController_openTicketWhatsApp
      parameters:
        - name: phoneId
          required: true
          in: path
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key needed to authorize the request
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OpenTicketDto'
      responses:
        '200':
          description: Ticket created successfully
components:
  schemas:
    OpenTicketDto:
      type: object
      properties:
        contact_name:
          type: string
        to_phone_number:
          anyOf:
            - type: number
              minimum: 1
            - type: string
        contact_metadata:
          default: {}
          type: object
          additionalProperties: true
        ticket_metadata:
          default: {}
          type: object
          additionalProperties: true
        integration_data:
          type: object
          additionalProperties: true
        email:
          type: string
          format: email
          pattern: >-
            ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
        message:
          type: object
          properties:
            templateId:
              type: string
            content:
              type: string
            ai_generated:
              type: boolean
        stage_id:
          type: string
      required:
        - to_phone_number
        - contact_metadata
        - ticket_metadata
        - integration_data
        - message
        - stage_id

````